<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.gysl.mapper.XmpjqdMapper">
    <select id="page" resultType="com.ruoyi.gysl.entity.Xmpjqd">
        select * from xmpjqd
        <where>
            <if test="req.xzfl != null">
                AND xzfl = #{req.xzfl}
            </if>
            <if test="req.pjdj != null">
                AND pjdj = #{req.pjdj}
            </if>
            <if test="req.xmmc != null and req.xmmc != '' ">
                AND xmmc like concat('%',#{req.xmmc},'%')
            </if>
            <if test="req.xmqzsj != null">
                AND xmqzsj = #{req.xmqzsj}
            </if>
            <if test="req.xmjssj != null">
                AND xmjssj = #{req.xmjssj}
            </if>
        </where>
    </select>

</mapper>

